glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - t -

- take_ownership : Glib::MatchInfo
- tell() : Gio::Seekable
- TEMPORARY_FAILURE : Gio::ResolverError
- TEXT_FILE_BUSY : Glib::FileError
- thaw_notify() : Glib::ObjectBase
- ThemedIcon() : Gio::ThemedIcon
- ThreadedSocketService() : Gio::ThreadedSocketService
- ThreadError() : Glib::ThreadError , Glib::Threads::ThreadError
- ThreadPool() : Glib::ThreadPool
- THURSDAY : Glib::Date
- TIMED_OUT : Gio::DBus::Error , Gio::Error
- timed_wait() : Glib::Cond
- TIMEOUT : Gio::DBus::Error
- TimeoutSource() : Glib::TimeoutSource
- Timer() : Glib::Timer
- TimeVal() : Glib::TimeVal
- TimeZone() : Glib::TimeZone
- to_blob() : Gio::DBus::Message
- to_bytes() : Gio::InetAddress
- to_c_type() : Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > , Glib::Container_Helpers::TypeTraits< T > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > >
- to_cpp_type() : Glib::Container_Helpers::TypeTraits< T > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >
- to_data() : Glib::KeyFile
- to_exception() : Gio::DBus::Message
- to_local() : Glib::DateTime
- to_native() : Gio::SocketAddress
- to_string() : Gio::Credentials , Gio::FileAttributeMatcher , Gio::Icon , Gio::InetAddress
- to_struct_tm() : Glib::Date
- to_timeval() : Glib::DateTime
- to_timezone() : Glib::DateTime
- to_unix() : Glib::DateTime
- to_utc() : Glib::DateTime
- TOO_BIG : Glib::SpawnError
- TOO_MANY_BRANCHES_IN_DEFINE : Glib::RegexError
- TOO_MANY_CONDITIONAL_BRANCHES : Glib::RegexError
- TOO_MANY_FORWARD_REFERENCES : Glib::RegexError
- TOO_MANY_LINKS : Gio::Error
- TOO_MANY_OPEN_FILES : Glib::FileError , Gio::Error
- TOO_MANY_SUBPATTERNS : Glib::RegexError
- TOOBIG : Glib::SpawnError
- Tr : Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >
- trash() : Gio::File
- traverse() : Glib::NodeTree< T >
- TRAVERSE_ALL : Glib::NodeTree< T >
- TRAVERSE_LEAVES : Glib::NodeTree< T >
- TRAVERSE_MASK : Glib::NodeTree< T >
- TRAVERSE_NON_LEAVES : Glib::NodeTree< T >
- TraverseFlags : Glib::NodeTree< T >
- TraverseFunc : Glib::BalancedTree< K, V > , Glib::NodeTree< T >
- truncate() : Gio::Seekable
- try_acquire() : Glib::Threads::RWLock::ReaderLock , Glib::RWLock::ReaderLock , Glib::Threads::RWLock::WriterLock , Glib::Threads::Mutex::Lock , Glib::Threads::RecMutex::Lock , Glib::RWLock::WriterLock , Glib::Mutex::Lock , Glib::RecMutex::Lock
- TRYAGAIN : Glib::FileError
- trylock() : Glib::Threads::Mutex , Glib::Threads::RecMutex , Glib::StaticMutex , Glib::Mutex , Glib::StaticRecMutex
- TUESDAY : Glib::Date
- TXTBUSY : Glib::SpawnError
- type_vec_files : Gio::Application